import { NetworkOptions, ProviderOptions } from '@quantnetwork/overledger-types';
import { AxiosInstance } from 'axios';
export declare const TESTNET: NetworkOptions;
export declare const MAINNET: NetworkOptions;
declare class Provider {
    options: ProviderOptions;
    network: NetworkOptions;
    /**
     * @param {ProviderOptions} ProviderOptions Overledger network provider options
     */
    constructor(options?: ProviderOptions);
    /**
     * Creating a request, making this as flexible as possible with the possible values in the headers being passed in the method signature
     * @param path
     * @param accessToken
     * @param contentType
     * @param acceptString
     */
    createRequest(accessToken?: string, contentType?: string, acceptString?: string): AxiosInstance;
}
export default Provider;
